MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031213Open CASCADE[OCCT] OCCT:Codingpublic2019-12-03 12:192019-12-08 12:14
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031213: Coding Rules, RWStl_Reader - THE_BUFFER should NOT be a global object
DescriptionVariable THE_BUFFER introduced by 0030964 has wrong name as it is not constant / global:
--- a/src/RWStl/RWStl_Reader.cxx
+++ b/src/RWStl/RWStl_Reader.cxx
+  // Buffer to read
+  Standard_ReadLineBuffer THE_BUFFER (THE_BUFFER_SIZE);
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030964verifiedbugmaster Data Exchange - use Standard_ReadLineBuffer within OBJ reader 

-  Notes
(0089358)
git (administrator)
2019-12-03 13:56

Branch CR31213 has been created by mzernova.

SHA-1: 90c466dd242a4117240ed35ee00a6de3cbc89343


Detailed log of new commits:

Author: mzernova
Date: Tue Dec 3 13:51:02 2019 +0300

    0031213: Coding Rules, RWStl_Reader - misnamed variable THE_BUFFER
    
    Renamed THE_BUFFER variable.
(0089359)
mzernova (developer)
2019-12-03 13:57

The patch CR31213 is ready to review
(0089360)
kgv (developer)
2019-12-03 14:46

  36 namespace
  37 {
  46   // Buffer to read
  47   Standard_ReadLineBuffer RWStl_myBuffer (THE_BUFFER_SIZE);

This buffer should not be put into a global variable!
(0089378)
git (administrator)
2019-12-04 15:55

Branch CR31213 has been updated by mzernova.

SHA-1: b58002c6ddb1d256924c698870a629dedf08b866


Detailed log of new commits:

Author: mzernova
Date: Wed Dec 4 15:48:19 2019 +0300

    remarks from kgv

(0089379)
git (administrator)
2019-12-04 15:56

Branch CR31213_1 has been created by mzernova.

SHA-1: 10e12d458a1b441e77cea3e4836201ed19a055a1


Detailed log of new commits:

Author: mzernova
Date: Tue Dec 3 13:51:02 2019 +0300

    0031213: Coding Rules, RWStl_Reader - THE_BUFFER should NOT be a global object
    
    Variable THE_BUFFER has been renamed and moved.
(0089380)
mzernova (developer)
2019-12-04 15:57

The patch CR31213 is ready to review
(0089430)
bugmaster (administrator)
2019-12-08 11:51

Combination -
OCCT branch : IR-2019-12-06
master SHA - 5a8d30b87b5ab8f44e9011dc432d0dc8eb67a77b
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : IR-2019-12-06 SHA - 959ae07414622f22b3cf77b1922c1519d7e532d6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16960.660000000054 / 16953.66000000014 [+0.04%]
Products
Total CPU difference: 10744.040000000065 / 10823.520000000082 [-0.73%]
Windows-64-VC14:
OCCT
Total CPU difference: 18400.203125 / 18461.625 [-0.33%]
Products
Total CPU difference: 12762.109375 / 12785.21875 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0089439)
git (administrator)
2019-12-08 12:14

Branch CR31213_1 has been deleted by inv.

SHA-1: 10e12d458a1b441e77cea3e4836201ed19a055a1
(0089440)
git (administrator)
2019-12-08 12:14

Branch CR31213 has been deleted by inv.

SHA-1: b58002c6ddb1d256924c698870a629dedf08b866

- Related Changesets
occt: master c37bd936
Timestamp: 2019-12-03 10:51:02
Author: mzernova
Committer: bugmaster
Details ] Diff ]
0031213: Coding Rules, RWStl_Reader - misnamed variable THE_BUFFER

Renamed THE_BUFFER variable.
mod - src/RWStl/RWStl.cxx Diff ] File ]
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]
mod - src/RWStl/RWStl_Reader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-12-03 12:19 kgv New Issue
2019-12-03 12:19 kgv Assigned To => mzernova
2019-12-03 12:19 kgv Relationship added child of 0030964
2019-12-03 12:19 kgv Status new => assigned
2019-12-03 13:56 git Note Added: 0089358
2019-12-03 13:57 mzernova Note Added: 0089359
2019-12-03 13:57 mzernova Assigned To mzernova => kgv
2019-12-03 13:57 mzernova Status assigned => resolved
2019-12-03 13:57 mzernova Steps to Reproduce Updated View Revisions
2019-12-03 14:46 kgv Note Added: 0089360
2019-12-03 14:46 kgv Assigned To kgv => mzernova
2019-12-03 14:46 kgv Status resolved => assigned
2019-12-03 15:19 kgv Summary Coding Rules, RWStl_Reader - misnamed variable THE_BUFFER => Coding Rules, RWStl_Reader - THE_BUFFER should NOT be a global variable
2019-12-03 15:19 kgv Summary Coding Rules, RWStl_Reader - THE_BUFFER should NOT be a global variable => Coding Rules, RWStl_Reader - THE_BUFFER should NOT be a global object
2019-12-04 15:55 git Note Added: 0089378
2019-12-04 15:56 git Note Added: 0089379
2019-12-04 15:57 mzernova Note Added: 0089380
2019-12-04 15:57 mzernova Assigned To mzernova => kgv
2019-12-04 15:57 mzernova Status assigned => resolved
2019-12-04 16:55 kgv Assigned To kgv => bugmaster
2019-12-04 16:55 kgv Status resolved => reviewed
2019-12-06 19:15 bugmaster Test case number => Not required
2019-12-08 11:51 bugmaster Note Added: 0089430
2019-12-08 11:51 bugmaster Status reviewed => tested
2019-12-08 11:52 bugmaster Changeset attached => occt master c37bd936
2019-12-08 11:52 bugmaster Status tested => verified
2019-12-08 11:52 bugmaster Resolution open => fixed
2019-12-08 12:14 git Note Added: 0089439
2019-12-08 12:14 git Note Added: 0089440


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker